unit BringFront;

interface

{$IFDEF KOL_MCK}
{$I KOLDEF.inc}

{$ELSE  design time}
{$I VCL_VERSIONS.inc}
{$R *.dcr}
uses
    SysUtils, Classes, Controls, Dialogs, Forms;

type
    TBringFront = class(TComponent)
    private
        FLinkedPanel: TCustomControl;
        procedure SetLinkedPanel(const Value: TCustomControl);
        function dummy: Boolean;
        { Private declarations }
    protected
        { Protected declarations }
    public
        { Public declarations }
        procedure DoBringParentOf(C: TControl);
        procedure DoBringFront;
        function LinkedPanelName: String;
    published
        { Published declarations }
        property LinkedPanel: TCustomControl read FLinkedPanel write SetLinkedPanel;
        property NotConstruct_KOLMCK: Boolean read dummy;
    end;

    procedure Register;
    {$ENDIF KOL_MCK}

implementation

{$IFDEF KOL_MCK}
{$ELSE  design time}

procedure Register;
begin
    RegisterComponents( 'Kladov', [ TBringFront ] );
end;

{ TBringFront }

procedure TBringFront.DoBringFront;
var f: TCustomForm;
    //i: Integer;
    //C: TComponent;
begin
    if FLinkedPanel <> nil then
    begin
        DoBringParentOf(FLinkedPanel);
        FLinkedPanel.BringToFront;
        //FLinkedPanel.TabOrder := 0;
        //FLinkedPanel.Visible := TRUE;

    end;
    if (Owner <> nil) and (Owner is TCustomForm) then
    begin
        f := Owner as TCustomForm;
        if f.Designer <> nil then
            f.Designer.Modified;
        {for i := 0 to f.ComponentCount-1 do
        begin
            C := f.Components[i];
            if  not (C is TCustomControl) then
            begin
                //C.VCLComObject.BringToFront;
            end;
        end;}
    end;
end;

procedure TBringFront.DoBringParentOf(C: TControl);
begin
    if (C.Parent <> nil) and
        (C.Parent is TWinControl) and
        not ((C.Parent as TWinControl) is TCustomForm) then
    begin
        C.Parent.BringToFront;
        DoBringParentOf(C.Parent);
    end;
end;

function TBringFront.dummy: Boolean;
begin
    Result := TRUE;
end;

function TBringFront.LinkedPanelName: String;
begin
    if LinkedPanel <> nil then
        Result := LinkedPanel.Name
    else
        Result := '';
end;

procedure TBringFront.SetLinkedPanel(const Value: TCustomControl);
begin
    FLinkedPanel := Value;
end;

{$ENDIF KOL_MCK}

end.
