//**  ,     VCL Delphi.
//**  Vladimir Kladov, 2000-2010
//**
//**      .
//**     /     
//**  2          
//**   GNU,  Free Software Foundation.
//**
//**       ,    
//** ,       ,   
//**         
//**   .      
//**     GNU.
//**
//**          
//**   GNU.     ,     Free
//** Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
//** MA 02111-1307, USA.
//******************************************************************************

unit WhatToImport;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TfmWhatToImport = class(TForm)
    cbNames: TComboBox;
    chkDeleteOld: TCheckBox;
    btnOK: TButton;
    btnCancel: TButton;
    procedure btnOKClick(Sender: TObject);
    procedure btnCancelClick(Sender: TObject);
    procedure cbNamesChange(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  fmWhatToImport: TfmWhatToImport;

implementation

uses FLVResources;

{$R *.DFM}

procedure TfmWhatToImport.btnOKClick(Sender: TObject);
begin
  ModalResult := mrOK;
end;

procedure TfmWhatToImport.btnCancelClick(Sender: TObject);
begin
  ModalResult := mrCancel;
end;

procedure TfmWhatToImport.cbNamesChange(Sender: TObject);
begin
  btnOK.Enabled := cbNames.ItemIndex >= 0;
end;

procedure TfmWhatToImport.FormCreate(Sender: TObject);
begin
  //    - :
  Caption := WhatToImportCaption;
  chkDeleteOld.Caption := WhatToImportChkDeleteOld;
  btnOK.Caption := WhatToImportBtnOK;
  btnCancel.Caption := WhattoImportCancel;
end;

end.
