//**  ,     VCL Delphi.
//**  Vladimir Kladov, 2000-2010
//**
//**      .
//**     /     
//**  2          
//**   GNU,  Free Software Foundation.
//**
//**       ,    
//** ,       ,   
//**         
//**   .      
//**     GNU.
//**
//**          
//**   GNU.     ,     Free
//** Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
//** MA 02111-1307, USA.
//******************************************************************************

unit utRus2Eng;

interface

procedure PrepareTableRussianToEnglish;

var Rus2EngTable: array[ #0..#255 ] of Char;
    Eng2RusTable: array[ #0..#255 ] of Char;
//     ,
//  PrepareTableRussianToEnglish !!!

implementation

const English: String = 'ABCEHKMOPTXabcdefghjklmnoprstuiwxyz';
      Russian: String = '';

var
    TablesReady: Boolean = FALSE;

procedure PrepareTableRussianToEnglish;
var C: Char;
    I: Integer;
begin
  if TablesReady then Exit;
  for C := #0 to #255 do
  begin
    Rus2EngTable[ C ] := C;
    Eng2RusTable[ C ] := C;
    I := pos( C, Russian );
    if I > 0 then
      Rus2EngTable[ C ] := English[ I ];
    I := pos( C, English );
    if I > 0 then
      Eng2RusTable[ C ] := Russian[ I ];
  end;
  TablesReady := TRUE;
end;

end.

