//**  ,     VCL Delphi.
//**  Vladimir Kladov, 2000-2010
//**
//**      .
//**     /     
//**  2          
//**   GNU,  Free Software Foundation.
//**
//**       ,    
//** ,       ,   
//**         
//**   .      
//**     GNU.
//**
//**          
//**   GNU.     ,     Free
//** Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
//** MA 02111-1307, USA.
//******************************************************************************

unit utStr;

interface

uses
  Windows, SysUtils;

function DateToSQL( D: TDateTime ): String;
function StrToSQL( const S: String ): String;

implementation

function StrToSQL( const S: String ): String;
var I: Integer;
begin
  Result := '''' + S + '''';
  for I := Length( Result )-1 downto 2 do
  begin
    if Result[ I ] = '''' then
      Result := Copy( Result, 1, I ) + Copy( Result, I, MaxInt );
  end;
end;

function Year( DT: TDateTime ): Integer;
var Y, M, D: Word;
begin
  DecodeDate( DT, Y, M, D );
  Result := Y;
end;

function Month( DT: TDateTime ): Integer;
var Y, M, D: Word;
begin
  DecodeDate( DT, Y, M, D );
  Result := M;
end;

function Day( DT: TDateTime ): Integer;
var Y, M, D: Word;
begin
  DecodeDate( DT, Y, M, D );
  Result := D;
end;



function DateToSQL( D: TDateTime ): String;
begin
  Result := '''' + //FormatDateTime( 'yyyymmdd', D ) + '''';
         Format( '%.04d%.02d%.02d', [ Year( D ), Month( D ), Day( D ) ] ) + '''';
end;

end.




